## Laravel UI

Очень простой каркас аутентификации, построенный на CSS-фреймворке Bootstrap. Он также 
позволяет выбрать между пресетами Vue и React.

В нем нет расширенного функционала Jetstream, он просто предоставляет функции и шаблоны 
логина, регистрации и забыл/подтвердить/cбросить пароль.

Используйте этот пакет, если:

    - Другие варианты кажутся слишком сложными на данном этапе.
    - Нужен Bootstrap и не хотите тратить время на удаление Tailwind.

## Laravel Breeze

Laravel Breeze — это последний выпущенный пакет, предлагающий более 
современную версию laravel/ui. Он предоставляет те же функции аутентификации, что и 
laravel/ui, но использует Tailwind вместо Bootstrap и не включает пресеты для Vue или React.

Хотя Breeze использует Tailwind, заменить его на что-то другое гораздо проще, чем на Jetstream.

Breeze не использует Fortify под капотом, а вместо этого публикует контроллеры в вашем 
приложении, чтобы их было легче модифицировать.

Breeze по-прежнему использует компоненты Blade, где это применимо, поэтому если вы 
решите использовать Breeze, обязательно ознакомьтесь с ними или замените компоненты 
Blade чем-то другим.

Используйте Breeze, если:

    - Вы просто хотите более современный laravel/ui.
    - Вы хотите быстро изменить функцию аутентификации в своем приложении.
    - Вы создаете приложение с нуля, которому не требуются функции, предоставляемые Fortify или Jetstream.

## Laravel Fortify

Laravel Fortify — это независимая бэкенд-аутентификация для Laravel.

Это означает, что это не фронтенд-инструмент для создания каркаса, а бэкенд для вашего 
фронтенда. Jetstream, к примеру, использует Fortify.

Fortify предоставляет нам всю бэкэнд-логику для аутентификации.

Laravel Fortify – это лишь серверная часть аутентификации для Laravel, которая реализует 
многие возможности, включая аутентификацию на основе файлов cookie, а также другие 
возможности, такие как двухфакторная аутентификация и проверка электронной почты. 
Fortify обеспечивает серверную реализацию аутентификации для Laravel Jetstream, но может 
использоваться и независимо в сочетании с Laravel Sanctum для обеспечения одностраничных 
приложений (SPA) возможностью аутентификацией с Laravel.

Laravel Fortify — это реализация аутентификации, не зависящая от внешнего интерфейса. 
Это означает, что его не волнует, как вы реализуете стили или функциональность внешнего 
интерфейса функций, которые он предоставляет.

Laravel Jetstream использует Fortify под капотом для предоставления таких функций, 
как аутентификация, восстановление паролей, двухфакторная аутентификация и обновление 
информации профиля пользователя.

Вы можете использовать Fortify самостоятельно без Jetstream! Если вам нужны все функции, 
которые предоставляет Fortify, но вы хотите запустить остальную часть своего приложения 
(включая внешний интерфейс) с нуля, Fortify — отличный вариант.

Fortify работает, регистрируя все контроллеры, необходимые для таких действий, 
как регистрация, вход в систему и включение двухфакторной аутентификации. Все, что вам 
нужно сделать, это указать Fortify, какое представление отображать, опубликовать данные, 
а Fortify позаботится обо всем остальном. После того, как вы установили Fortify, вы 
обнаружите опубликованный Actions каталог, который позволяет вам изменять то, что 
происходит при выполнении таких действий как регистрация.

Используйте Fortify, если:

    - Вы не хотите использовать Jetstream, но хотите использовать большинство функций, которые он предоставляет.
    - Вам нужен полный контроль над стилем и функциональностью с самого начала создания приложения.

## Laravel Jetstream

Включает в себя системы логина, регистрации, проверки электронной почты, двухфакторную 
аутентификацию, управление сессиями, API-поддержку через Laravel Sanctum и дополнительное 
управление группами пользователей (командами).

Разработан с использованием Tailwind CSS. Этот CSS-фреймворк становится стандартом в 
Laravel-сообществе.

Jetstream позволяет выбирать между двумя фронтенд-стеками:

    Livewire + Alpine
    Inertia + Vue

Inertia — отличный выбор, если у вас есть опыт работы с Vue.js и вам он нравится. 
Фронтенд написан на чистом Vue. Inertia фактически работает как слой между 
Laravel-бэкендом и Vue-компонентами.

Вместо того, чтобы создавать API-маршруты, Inertia позволяет возвращать ответы из 
контроллеров, как если бы вы использовали return view(...), но вы получаете возможность 
использовать Vue во фронтенде.

Jetstream имеет несколько интересных функций, которых нет в других подобных инструментах.

У него есть специальная страница, где пользователи могут редактировать своё имя, почту и фото.

Пользователи могут удалить свою учетную запись одним нажатием (конечно же, с подтверждением по паролю).

Он также поддерживает двухфакторную аутентификацию. Пользователи могут её включить 
опционально — им показывают QR-код, который они будут сканировать с помощью приложения, 
например Google Authenticator, и им выдаются ключи восстановления.

Jetstream работает непосредственно с Laravel Sanctum (пакет для API-аутентификации). 
Пользователи могут генерировать API-ключи и назначать им права.

Также в нём присутствует продвинутая (опциональная) фича для групп пользователей (команд).
Работа с командами в Jetstream позволяют каждому зарегистрированному пользователю создавать 
множество команд и принадлежать им. По умолчанию каждый зарегистрированный пользователь 
принадлежит команде Personal. У каждого пользователя в Jetstream есть «текущая команда 
(current team)». Это команда в которой пользователь может просматривает ресурсы.
Например, если вы создаете приложение-календарь, то ваше приложение будет отображать 
предстоящие события календаря для текущей команды пользователя.
Вы можете получить доступ к текущей команде пользователя через отношения $user->currentTeam.

Используйте Jetstream, если:

    - Вы знакомы с Laravel Livewire, Inertia и Tailwind или не против потратить время на их изучение;
    - Вы хотите немедленно приступить к созданию основных функций вашего приложения, не тратя много времени на шаблонный код.
